"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const vue = require("vue");
const uikitBaseComponentVue3 = require("@tencentcloud/uikit-base-component-vue3");
const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  setup(__props) {
    const { setLanguage, language } = uikitBaseComponentVue3.useUIKit();
    const handleClickLanguageIcon = () => {
      const newLanguage = language.value === "en-US" ? "zh-CN" : "en-US";
      setLanguage(newLanguage);
      localStorage.setItem("tuiRoom-language", newLanguage);
    };
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock("div", {
        class: "icon-button-container",
        onClick: handleClickLanguageIcon
      }, [
        vue.createVNode(vue.unref(uikitBaseComponentVue3.IconLanguage)),
        vue.createElementVNode("span", null, vue.toDisplayString(vue.unref(language) === "en-US" ? "English" : "中文"), 1)
      ]);
    };
  }
});
exports.default = _sfc_main;
